{
                               xineStream.pas
                             -------------------
    copyright            : (C) 2002 by Ryan Rusaw
    email                : rrusaw@sasktel.net

 ***************************************************************************
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************
}
unit xineStream;
{$mode objfpc}{$H+}

interface

uses
  SysUtils, Classes, xine;

type
  TxineStream = class(TComponent)
  private
    { Private declarations }
    myStream: Pxine_stream_t;
  protected
    { Protected declarations }
  public
    { Public declarations }
    procedure SetStream(Xn: Pxine_t; AuD:Pxine_ao_driver_t;
      VoD: Pxine_vo_driver_t);
    function GetStream:Pxine_stream_t;
  published
    { Published declarations }
  end;

procedure Register;

implementation

procedure Register;
begin
  RegisterComponents('Pluto', [TxineStream]);
end;

procedure TxineStream.SetStream(Xn: Pxine_t; AuD:Pxine_ao_driver_t;
  VoD: Pxine_vo_driver_t);
begin
     myStream := xine_stream_new(Xn,AuD,VoD);
end;

function TxineStream.GetStream: Pxine_stream_t;
begin
     result := myStream;
end;

end.
 
