unit unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, FileUtil, LResources, Forms, Controls, Graphics, Dialogs,
  FileCtrl, ExtCtrls, Buttons, xinevideoplugin, xineaudioplugin, xineStream,
  xineengine;

type

  { TForm1 }

  TForm1 = class(TForm)
    BitBtn1: TBitBtn;
    Panel1: TPanel;
    Panel2: TPanel;
    Panel3: TPanel;
    procedure BitBtn1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { private declarations }
  public
    myXineEngine:TxineEngine;
    myStream:TxineStream;
    myAudio:TxineAudioPlugin;
    myVideo:TxineVideoPlugin;
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.FormCreate(Sender: TObject);
begin
  myXineEngine:=TxineEngine.Create(Form1);

  myStream:=TxineStream.Create(Form1);

  myAudio:=TxineAudioPlugin.Create(Form1);
  myAudio.audioDriver:={adAlsa}adAuto;

  myVideo:=TxineVideoPlugin.Create(Form1);
  myVideo.vWidget:=Panel1;
  myVideo.videoDriver:=vdXv;

  myXineEngine.videoPlugin:=myVideo;
  myXineEngine.audioPlugin:=myAudio;
  myXineEngine.xStream:=myStream;

end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  if not myXineEngine.init then begin
    myXineEngine.Initialize;
  end;
  myXineEngine.Thread.Resume;
end;

initialization
  {$I unit1.lrs}

end.

